/* Kategori Cards */
.category-card {
    width: 200px;
    height: 70px;
    background-size: cover;
    background-position: center;
    border-radius: 10px;
    position: relative;
    display: -ms-flexbox;
    display: flex;
    -ms-flex-align: center;
        align-items: center;
    -ms-flex-pack: center;
        justify-content: center;
    overflow: hidden;
}

.category-card .overlay {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.5);
    z-index: 1;
}

.category-card h5 {
    position: relative;
    z-index: 2;
    font-weight: bold;
}

/* Custom Navigation Buttons */
.custom-control-next,
.custom-control-prev {
    width: 30px;
    height: 30px;
    background-color: white;
    border: 0.8px solid #ccc;
    border-radius: 50%;
    display: -ms-flexbox;
    display: flex;
    -ms-flex-align: center;
        align-items: center;
    -ms-flex-pack: center;
        justify-content: center;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
    transition: all 0.3s ease;
    position: absolute;
    top: 50%;
    -webkit-transform: translateY(-50%);
            transform: translateY(-50%);
    z-index: 10;
}

.custom-control-prev {
    left: -10px!important;
    /* Dekatkan ke konten */
}

.custom-control-next {
    right: -10px!important;
}

.custom-control-next:hover,
.custom-control-prev:hover {
    background-color: #f5f5f5;
    -webkit-transform: translateY(-50%) scale(1.1);
            transform: translateY(-50%) scale(1.1);
    box-shadow: 0 6px 12px rgba(0, 0, 0, 0.3);
}

.custom-control-next i,
.custom-control-prev i {
    font-size: 20px;
    color: black;
}

.kategori-layanan-title {
    white-space: nowrap;
    text-overflow: ellipsis;
    /* Jika tulisan terlalu panjang */
}

.kategori-layanan-title {
    white-space: nowrap;
    text-overflow: ellipsis;
    /* Jika tulisan terlalu panjang */
}

